Bug 102452 - CAN-2003-0548/9 XDMCP GDM DoS
Summary: CAN-2003-0548/9 XDMCP GDM DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdm (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-15 11:35 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-21 16:10:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:259 normal SHIPPED_LIVE Low: gdm security update 2003-08-21 04:00:00 UTC

Description Mark J. Cox 2003-08-15 11:35:50 UTC
Two bugs have been found in the X Display Manager Control Protocol (XDMCP)
which could allow a denial of service attack (DoS) by crashing the gdm
daemon. The Common Vulnerabilities and Exposures project (cve.mitre.org)
has assigned the names CAN-2003-0548 and CAN-2003-0549 to these issues.

This attack is only possible if XDMCP is enabled. XDMCP is not enabled by
default in Red Hat Enterprise Linux distributions. In addition is
documented best practise that XDMCP should only ever be run on trusted
networks.

Note that Red Hat Enterprise Linux 2.1 is not vulnerable to CAN-2003-0547,
a vulnerability that allows a local user to read any text file, as it did
not have the "examine session errors" feature (bug 102275)

Comment 1 Mark J. Cox 2003-08-21 16:10:02 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-259.html



Note You need to log in before you can comment on or make changes to this bug.